#
# spec file for package octave-forge-tsa
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define octpkg  tsa
Name:           octave-forge-%{octpkg}
Version:        4.3.2
Release:        2.4
Summary:        Time Series Analysis Toolbox for Octave
License:        GPL-3.0+
Group:          Productivity/Scientific/Math
Url:            http://octave.sourceforge.net
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildRequires:  blas-devel
BuildRequires:  gcc-c++
BuildRequires:  lapack-devel
BuildRequires:  octave-devel
Requires:       octave-cli >= 2.9.7

%description
Stochastic concepts and maximum entropy methods for time series analysis.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}

%changelog
* Wed Sep 16 2015 dmitry_r@opensuse.org
- Update to version 4.3.2
  * ready for gcc/g++ v5
  * bug fixes
- Drop obsolete tsa-openmp.patch
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 4.2.9
- Fix build with openmp
  * tsa-openmp.patch
